#ifndef SERVICE_H
#define SERVICE_H

#include <QDBusArgument>

struct Service
{
    QString icon;
    QString name;
    QString storageId;
};

class AppInfoService {
public:
    AppInfoService() {
        clear();
    }
    void clear() {
        serviceList.clear();
    }
    Service defaultService;
    QList<Service*> serviceList;
};

Q_DECLARE_METATYPE(Service)

#endif // SERVICE_H
